Subject: bug#10615: Re: Re: [EXPERIMENTAL PATCH] Extending Isearch-repeat-forward/backward to support a prefix argum

From: [email-masked]
Date: Thu, 26 Jan 2012 19:10:21 +0000

Oh, I just thought of something. If you try to patch isearch.el and then  
load-file it the new keybindings won't take place (the map is defvar'ed). I  
think you have to compile isearch.el to isearch.elc and then run with  
temacs.

Hope this helps,

Gideon.

On , [email-masked] wrote:
> hmm. It shouldn't exit. I probably have a bug in the patch (that's the  
> problem with experimental patches ;)). I will look at it again in (my)  
> morning.

> Thanks, Gideon.

> On , Tassilo Horn [email-masked]> wrote:
> > Gideon Stupp [email-masked]> writes:
> >
> >
> >
> > Hi Gideon,
> >
> >
> >
> > > This experimental patch implements a suggestion by Juri Linkov to  
> extend
> >
> > > isearch-repeat-forward/backward to support a prefix argument.
> >
> >
> >
> > I like it. I adapted it a bit to show the hints at the position where
> >
> > point would be if that one's selected, and I added also a bit
> >
> > superscript magic, which suits me better, visually. (Well, that should
> >
> > be customizable, of course.)
> >
> >
> >
> > But how the heck is the usage of the prefix arg supposed to work? When
> >
> > I do Cs foo C-3, isearch is exited...
> >
> >
> >
> > Bye,
> >
> > Tassilo
> >